commit:     94d3fae13ebf48a5b620149a88a97551c2d8e99e
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  6 17:22:50 2026 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 06:09:54 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94d3fae1

dev-lang/deno-bin: add 2.7.4

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-lang/deno-bin/Manifest              |  2 ++
 dev-lang/deno-bin/deno-bin-2.7.4.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-lang/deno-bin/Manifest b/dev-lang/deno-bin/Manifest
index 7e31a0ff7c2e..683d95fec548 100644
--- a/dev-lang/deno-bin/Manifest
+++ b/dev-lang/deno-bin/Manifest
@@ -6,3 +6,5 @@ DIST deno-bin-2.7.2-amd64.zip 49000602 BLAKE2B 
2bbb417a7efc86e8082379b397c8e737d
 DIST deno-bin-2.7.2-arm64.zip 47030023 BLAKE2B 
66cd22acb62c8a2b2f89f1d6fe28500f5fb3151abf254908765f4824cdbbec80340a343dba57c360ee68ea154d886bdda5f5958f6a014a5c9ea8b709f2efa37a
 SHA512 
f76690b99e9b7807f48e209d63cd54aa96bedcde31d6ba1845f5ab83c940586390ef9753ef1dcccdc964918ff7878500575c7130d9d1dd5f6c7fc3328c52f19b
 DIST deno-bin-2.7.3-amd64.zip 49029189 BLAKE2B 
2899f005d0b49e3f5dbbdd59eade1508ec4c75bed09fb4aaeb5f37b0cbb8aeb573f9f75f3ba3678d6b021bc4c0f2ea713d0cc4bed04d58532af2a08766cf51ce
 SHA512 
25f1ee9eedd582851df44f60a43e567b590cd8f1232aba3ccad169db84ed7b94c5723740d867aa552a75b45f5c97784bac92e34e24be7e01d8ecc2fe54e38bc2
 DIST deno-bin-2.7.3-arm64.zip 47053759 BLAKE2B 
6c3f2cdc4e5b4640d551ed3ee90ca612b7678761b4c5a418ea3f230a57005166b135e245781439dfe0ce1a4716d07632b819769e2c7ab26a994ec639bd1cfa8c
 SHA512 
68d2fc909d61936e040ef3c4eda84bd934d716999f5f8846ae9715aa8cf8536406d3533847865e8f845bd33d6fcc995d0eeef8433cbae9efa5563a3bfda65fa7
+DIST deno-bin-2.7.4-amd64.zip 49035673 BLAKE2B 
c54f5e08c3574f6b928512bd1d09adae7974a7309e511c8371105ae08a35ec3603af6c6e092b9f100152fff298b6fbf65760d0204a87ab73929eba595db98e55
 SHA512 
a3871064f20c9d96d84d062676df794e11c7c96d3b19ae1fd389a4688bfd94c352f0fbc426ca36ea34f7bb959d9d20a4b28d1ca3b9a853e30ed1f50889ded469
+DIST deno-bin-2.7.4-arm64.zip 47046368 BLAKE2B 
0410b80227b3513aba878592edfd1c0fe3705ffa896b7ab1ccd5a377ef04c92d606f826ee7e98cb7fa51d39820004b96edfe4532cd3f3d772ac727415e2be852
 SHA512 
96396e4bcb63bdc91f3dcd00698566e395d8f17af4f926fbbb59b25f8267e3d82e80b9eb820364216f16210b51ddb0f3c13f84b45b171dbb7903a8558fe3534a

diff --git a/dev-lang/deno-bin/deno-bin-2.7.4.ebuild 
b/dev-lang/deno-bin/deno-bin-2.7.4.ebuild
new file mode 100644
index 000000000000..83926dd4e460
--- /dev/null
+++ b/dev-lang/deno-bin/deno-bin-2.7.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion toolchain-funcs
+
+DESCRIPTION="Modern runtime for JavaScript and TypeScript"
+HOMEPAGE="https://deno.com/";
+SRC_URI="
+       amd64? (
+               
https://github.com/denoland/deno/releases/download/v${PV}/deno-x86_64-unknown-linux-gnu.zip
+                       -> ${P}-amd64.zip
+       )
+       arm64? (
+               
https://github.com/denoland/deno/releases/download/v${PV}/deno-aarch64-unknown-linux-gnu.zip
+                       -> ${P}-arm64.zip
+       )
+"
+S=${WORKDIR}
+
+LICENSE="MIT"
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD CC0-1.0 ISC MIT
+       MPL-2.0 openssl Unicode-3.0 Unicode-DFS-2016 ZLIB
+" # crates
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm64"
+
+RDEPEND="
+       || (
+               llvm-runtimes/libgcc
+               sys-devel/gcc:*
+       )
+       sys-libs/glibc
+"
+BDEPEND="
+       app-arch/unzip
+"
+
+QA_PREBUILT="usr/bin/deno"
+
+src_compile() {
+       if ! tc-is-cross-compiler; then
+               ./deno completions bash > "${T}"/deno || die
+               ./deno completions fish > "${T}"/deno.fish || die
+               ./deno completions zsh > "${T}"/_deno || die
+       else
+               ewarn "shell completion files were skipped due to 
cross-compilation"
+       fi
+}
+
+src_install() {
+       dobin deno
+
+       if ! tc-is-cross-compiler; then
+               dobashcomp "${T}"/deno
+               dofishcomp "${T}"/deno.fish
+               dozshcomp "${T}"/_deno
+       fi
+}

Reply via email to